Package: org.grails.cli.gradle.commands

## [Groovy] Class ReadGradleTasks

- org.grails.cli.gradle.commands.ReadGradleTasks

- Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedGradleOperation` | `fileName, projectContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReadGradleTasks (ProjectContext projectContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `createListEntry(java.lang.String str)`
    `` | `java.util.List<java.lang.String>` | `readFromGradle(org.gradle.tooling.ProjectConnection connection)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ListReadingCachedGradleOperation` | `createListEntry, readFromCached, writeToCache`
    `class CachedGradleOperation` | `call, readFromCached, readFromGradle, storeData, updateStatusMessage, writeToCache`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ReadGradleTasks(ProjectContext projectContext)

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.String createListEntry(java.lang.String str)

    - #### @java.lang.Override java.util.List<java.lang.String> readFromGradle(org.gradle.tooling.ProjectConnection connection)